Subject: bug#39618: 28.0.50; gnus nnimap reports more group articles than actually exist

From: Deus Max <[email-masked]>
Date: Mon, 27 Jul 2020 13:29:58 +0300

On Sun, Jul 19 2020, Lars Ingebrigtsen wrote:

> Deus Max <[email-masked]> writes:
>
>> Currently no files in the ~/New/cache/active tree, but there might have
>> been.
>> I have erased the .newsrc.eld and started over.
>
> Are you still seeing these problems?

Since clearing my .newsrc and starting over (I could not correct the
article counts otherwise), I have not experienced the problem again.

As Eric wrote in a previous message, that it seems to happen from
time-to-time.

On Tue, Feb 18 2020, Eric Abrahamsen wrote:

> On 02/18/20 21:56 PM, Deus Max wrote:
>> On Sun, Feb 16 2020, Eric Abrahamsen wrote:
>>
>>> Deus Max <[email-masked]> writes:
>>>
>>>
>>> This definitely happens to many of us from time to time. Unfortunately I
>>> can't really reproduce the problem, as by the time it appears it's too
>>> late to figure out where it came from, though I assume it has to do with
>>> Gnus calculating unread messages from a high-low range, and not being
>>> aware of "filled in" read messages within that range.
>>>
>> You think this is a nnimap or a general Gnus issue ?
>
> I don't know. I suspect that it's a general Gnus issue, but it is more
> evident with nnimap, since that's pretty much the only (?) server where
> local marks must be kept in sync with a remote server. In principle,
> there's no reason why Gnus would need to keep local marks for imap
> groups.
>

So, this is a known issue that comes-up occasionally.

Clearing the .newsrc is not the best solution, as it also clear other
useful info, such as group levels.

Perhaps, there could be a function -for the nnimap backend- to
reset the article counts for a specific group or server?